Drag n' Drop directories from File-Roller is somewhat tricky

Bug #13199 reported by Amos Brocco
230
This bug affects 3 people
Affects Status Importance Assigned to Milestone
File Roller
Fix Released
High
Nautilus
Invalid
Undecided
Unassigned
file-roller (Ubuntu)
High
Ubuntu Desktop Bugs
nautilus (Baltix)
Undecided
Unassigned
nautilus (Ubuntu)
Undecided
Ubuntu Desktop Bugs

Bug Description

Trying to drag n' drop directories from File-Roller to Nautilus (either the
desktop or a Nautilus window) does not always work. It seems to be extracting
things but nothing is dropped in the selected location. Drag n' dropping files
seems to work correctly.

Steps to reproduce:
1. Open a compressed archive containing directories with File-Roller
2. Try to drag n' drop a directory from File-Roller into a Nautilus window (or
to the desktop)
3. File-Roller seem to extract things but nothing is dropped in the target window

http://bugzilla.gnome.org/show_bug.cgi?id=102501: http://bugzilla.gnome.org/show_bug.cgi?id=102501

Related branches

Revision history for this message
Sebastien Bacher (seb128) wrote :
Revision history for this message
Sebastien Bacher (seb128) wrote :

*** Bug 13566 has been marked as a duplicate of this bug. ***

Revision history for this message
Daniel Holbach (dholbach) wrote :

Is on upstream's agenda fo 2.14 - hope they make it.

Revision history for this message
Nicolò Chieffo (yelo3) wrote :

I'm using file-roller 2.14.0 but the bug is still there!
Actually the file is dropped in the selected window only if you wait enought time with the button pressed, for the file to be decompressed.
So if you decompress a 1K file the you can't notice this bug, but if you try to drag and drop a 1GB file you'll have to hold the button for at least 20 minutes! (you can see it in the progress bar)

Revision history for this message
Paco Avila (monkiki) wrote :

Any progress in this bug? This is a serious issue for me because I work with big compressed files :(

sam tygier (samtygier)
Changed in file-roller:
status: Unconfirmed → Confirmed
Revision history for this message
mangar (mycrapaccount-deactivatedaccount) wrote :

adding my voice to the crowd:
this is really an annoying bug/misfeature..
(i've meant to file it as a bug report, bug found out it's already exists)

can you please put some pressure on upstream to fix it?
thanks in advance!

Revision history for this message
mangar (mycrapaccount-deactivatedaccount) wrote :

gah.. this bug is open since 2003! can it be closed in time for dapper?

Revision history for this message
Sebastien Bacher (seb128) wrote :

if you read the upstream bug you will notice that upstream has asked if somebody could give him a hand because he doesn't know how to fix it. "can you put some pressure on upstream to fix it" is not how free software works. Upstream works on that during his free time and non-payed. He stated he doesn't know how to fix the issue and made it clear too. Putting some pressure will just contribute to make him want to stop spending efforts for people who just complain when something doesn't work. Maybe you could be useful and contribute with a patch? Or if you don't code avoid putting "pressure" because that's not going to make anybody working faster

Revision history for this message
mangar (mycrapaccount-deactivatedaccount) wrote :

i try to ask around the lug, maybe someone there got the time/knowledge on how to fix the problem.

just for clarification, i didn't mean to imply any disrespect to the
author of file-roller, or to his efforts. i apologise for my tone of writing.

Revision history for this message
Sebastien Bacher (seb128) wrote :

No problem, I just wanted to point that the issue is going to be solved by complaining about upstream lack of reactivity but rather by people trying to work on fixing it

Revision history for this message
Joseph Garvin (k04jg02) wrote :

This bug needs to be fixed for dapper -- drag and drop is the most usable way of extracting files. It's a serious usability problem for this to be broken, especially since file roller gives the illusion of the file being extracted even though it's not.

Revision history for this message
Sebastien Bacher (seb128) wrote :

your patch is welcome if you have one

Revision history for this message
Joseph Garvin (k04jg02) wrote :

I don't mean to sound like some unwilling-to-contribute-will-just-whine sort of user, but frankly, Canonical should be writing the patch if nobody has stepped up to do so yet. While one of the advantages of open source from a user's perspective is that you can fix bugs on your own given the time, one of the advantages of open source as a business model is that you have the code to all of your product's (Ubuntu's) bundled software, so you're not stuck waiting for upstream to implement their own fix while you have deadlines to keep.

Dapper is going to be a supported release for 3 years. I think it's in your own interest not to ship a broken product.

Revision history for this message
Paco Avila (monkiki) wrote :

I think so, why can't Canonical fix this bug? For most people this bug makes File-roller unusable. Yes it is a silly bug, but people dislike strange programs behaviour.

Revision history for this message
Sebastien Bacher (seb128) wrote :

maybe writting that change is not that easy? maybe canonical people are really busy and that's not the top priority (file-roller is only an application of the set shipped and maybe not the most important one, and there is a button for that function)

Revision history for this message
mangar (mycrapaccount-deactivatedaccount) wrote :

If there isn't any patch available, what about changing the
default archive manager?

for example:
xarchiver:
http://xarchiver.xfce.org/
or
xarchive:
http://xarchive.sourceforge.net/

(that's what i've found on gnomefiles.org, sorry for not trying harder..)

Those might not be the official gnome utilities, but if they work,
and adhere to the FOSS license, why not use them (especially
with the goal of long term support)?

thanks in advance!

Revision history for this message
Paco Avila (monkiki) wrote :

Perhaps it is a good solution...

Revision history for this message
Sebastien Bacher (seb128) wrote :

Switching to a new app to avoid a bug is not a good idea, especially just before a new distribution version. We appreciate your interest for that bug, but the way to help getting them fixed is to work on a patch. We known that's an issue so no need to keep sending comment saying it has to be fixed. If it's not fixed yet that's just because the few people working on the Ubuntu desktop and upstream on that are too busy, and a flood of comment will not make a difference on that

Revision history for this message
Amos Brocco (mriya3) wrote :

uhm... I think that Xarchiver does not support drag n' drop at all

It seems that I've found an argument in defense of File-Roller...
I've tried to drag and drop things from Ark (the KDE equivalent of File-Roller) to Konqueror and I get the same behavior: I have to wait with the button pressed until the file is uncompressed in the temporary directory and then the URI is passed to the drop target (I've tried with the vmware player Ubuntu image... a big file of 543M compressed and several gigs when uncompressed).

I don't know if I'm doing something wrong (I just installed KDE to test this... so I'm not a K-expert).

(small note: I've also noticed that it is not possible to drag things from Ark to Nautilus, but it is possible to drag from File-Roller to Konqueror.)

I think that the solution to this problem (without hacking with dnd protocol or nautilus) is to implement a gnome-vfs extension as it's proposed in gnome-bug page for this bug (so that it is possible to pass a list of pipelined zip/tar/... uri's to the drop target)

Note: I've tried with KDE on Breezy

Revision history for this message
Nicolò Chieffo (yelo3) wrote :

well, I have good news! I've just installed suse 10.1 and file-roller seems to support drag and drop well! this means that we could see which patch suse used and incorporate it in ubuntu too!

Changed in fileroller:
status: Unconfirmed → Confirmed
Revision history for this message
Daniel Holbach (dholbach) wrote :

Fixed in CVS - now depends on http://bugzilla.gnome.org/show_bug.cgi?id=171655 getting fixed.

Changed in nautilus:
status: Unknown → Confirmed
Revision history for this message
Ralf Nieuwenhuijsen (ralf-nieuwenhuijsen) wrote :

In feisty drap and drop stopped working _completely_

Nice to see progress, heh? Is there an alternative program we can use?
Because this one is pretty much completely broken now .. no gnome-VFS support, no drag & drop, no extracting of selected files .. (only of all files).

I would like to just replace this program .. any one know any good alternatives?

Revision history for this message
Didier L (l-farquaad) wrote :

I confirm that It does not work at all under Feisty. I think this is a too bad regression because it is really anti-ergonomic: without this feature managing archives is not at all user-friendly. This kind of misfeature might even make some people leave Ubuntu I think...

IMHO its importance should thus be more serious than medium: it should be fixed before Feisty's release... please

Revision history for this message
Sebastien Bacher (seb128) wrote :

That's an upstream bug, not an Ubuntu one

Revision history for this message
Bogdan Butnaru (bogdanb) wrote :

It might be, but as long as Ubuntu doesn't offer an alternative that works as users expect it --- since Ubuntu is desktop-oriented, there are some things people expect --- it's an Ubuntu problem.

We don't even tell people the program in question is File-Roller. We call it "Archive manager". For anyone that's not very familiar with computer insides, that's "Ubuntu's archive manager".

I agree that this might need upstream attention, but what's an Ubuntu bug if this isn't one? I mean, if a program distributed by default on all Ubuntu distributions works badly because of upstream, isn't that an Ubuntu problem too? (What if it looks ugly? What if it looks defective? (like this one) What if it deletes hard-drives?)

Revision history for this message
Ralf Nieuwenhuijsen (ralf-nieuwenhuijsen) wrote :

I found Xarchiver to be a capable replacement.
It doesn't drag & drop as well, but at least you can press the 'extract' button and actually have some files extracted.

With file-roller there is currently -no way- to extract files.
You can't drag & drop, clicking the extract button brings up a dialog that refuses to extract files. Hence: you can't extract files.

At least one of the bugs in file-roller should be fixed before feisty's release or the whole package should be removed from the default install (preferbly replaced by Xarchiver).

PS. Why can't we use an older version of file-roller? At least the extract-button used to work. See also bug:

  https://bugs.launchpad.net/ubuntu/+source/file-roller/+bug/74002

It doesn't work anymore either. So 99% of the users won't be able to extract files. I would prefer a fix to the extract-button thingie at least, but otherwise I strongly suggest we replace this package with Xarchiver.

If it doesn't get fixed, I know I will be replacing this on all the desktops I manage. (including a small office). I really can't tell these people to 'workaround' bugs and advocate the use of Ubuntu instead of Windows at the same time.

Besides, if a package is useless because its core function isn't working, what's the point of keeping it in the repo's. But that's another discussion. (kicking completely broken packages out the repo's)

Revision history for this message
Sebastien Bacher (seb128) wrote :

The comments on that bugs have no real use, complaining will not make the bug fixed faster. We acknowledge that's a problem and should be fixed, the thing is that there is over a thousand desktop bugs open at the moment and few people working on them and we can't work on everything at the same time. The versions are still being updated and feisty is not stable yet and we will fix lot of bugs before that. What would be useful is somebody trying to debug that to help the desktop team which has lot to do already

Replacing a program or reverting it to the previous version to avoid fixing a bug is not really constructive behaviour neither. What about trying to fix the bug rather than replacing it by an another program which has got not as much testing. It has dnd working, it might also have bugs than file-roller doesn't have.

Revision history for this message
Bogdan Butnaru (bogdanb) wrote :

To Ralf Nieuwenhuijsen: as far as I can tell, it does work using the Extract button. You probably have the issue from bug 80755, look there for a work-around.

Revision history for this message
Ralf Nieuwenhuijsen (ralf-nieuwenhuijsen) wrote :

@Sebastian.

You are right. It was a rant. I shouldn't have done that.
Yet I don't 'assume' this can be fixed. If I unstand the upstream bug report, nautilus needs to implement something, for this to work.

But I was out of line with my tone, sorry about that.

Revision history for this message
Vytas (vytas) wrote :

Drag and drop is not functioning completely for me with all archives types and file types/folders inside.

Up to date feisty

Revision history for this message
Vytas (vytas) wrote :

Feisty release is soon, I'll try to review it myself today with 2.18.0 vanilla tarball

Revision history for this message
Bogdan Butnaru (bogdanb) wrote :

This is an old bug as far as I know. Initially the behavior was the one described above, but now drag and drop doesn't work at all. There are some bugs registered on that, this should probably have it's name changed and linked as a duplicate.

Revision history for this message
Vytas (vytas) wrote :

This is an old bug, that file-roller must be fast enough to unarchive files while user is performing drag-and-drop, or the operation (partially) fails. This bug is annoying, but not so severe.

The new problem is that drag-and-drop is completely broken, we should try to fix that before feisty is released IMHO

Revision history for this message
Vytas (vytas) wrote :

Well, as I can see the problem is that bug with file roller was fixed upstream in 2.18, it switched to 'XdndDirectSave0' target instead of 'text/uri-list'. Nautilus does not support this yet, so it doesn't work with nautilus.

What should we do here?
1) implement this feature in nautilus and patch it
2) add older protocol to file-roller
3) just revert file roller to use older protocol (easiest, just pasting some code from 2.16)
4) do nothing and have broken DnD in feisty file-roller+nautilus

Revision history for this message
Albert Santoni (gamegod) wrote :

Vytas: It seems like the easiest fix in the short term would be to revert File-Roller to using the older protocol. Is someone willing to do this (soon)? Thanks

Revision history for this message
Sebastien Bacher (seb128) wrote :

That's not going to change in 7.04 now

Changed in file-roller:
assignee: seb128 → desktop-bugs
Revision history for this message
Paco Avila (monkiki) wrote :

So, 7.04 will be released with this bug?

Revision history for this message
yemu (yemu) wrote :

yes it WAS released with this bug, is there any chance for fixing it now?

Revision history for this message
Paco Avila (monkiki) wrote :

GNOME people is amazing: file-roller uses an DragNDrop protocolo which is misunderstood by other major applications (Nautilus, gEdit, ...) so, why use it? Why not wait until implementing this protocol it the others apps?

Revision history for this message
VF (vfiend) wrote :

Thunar implements it.

Anyway everybody, look on the bright side: Now that it's COMPLETELY broken, maybe it'll motivate someone to fix this bug for good.

Changed in file-roller:
importance: Medium → High
21 comments hidden view all 101 comments
Revision history for this message
Achim (ach1m) wrote :
Revision history for this message
Sebastien Bacher (seb128) wrote :

you should not install random deb from forums that's likely to break your next upgrades

Revision history for this message
Robbert (robbertkrebbers) wrote :

I build nautilus (2.19.91 on Gutsy x86_64) with the patch and it seems to work. Dragging files from file-roller to my desktop works like a charm, also to other nautilus windows.

But it doesn't work while dragging them to a nfs mount or an other remote location (for example ssh). It says "Cannot extract archives in a remote folder "<foldername>". But i can extract them to a remote location with the extract button in file-roller.

Revision history for this message
Conn O Griofa (psyke83) wrote :

Sebastien,

Yes, it's not a good idea to install random debs (although it's nice to know this patch works).

Users can see and downgrade packages through Synaptic's status filters or use "sudo apt-get install nautilus/gutsy" in this case. I hope this patch can make it into Gutsy in time, if everything is ok with it.

Revision history for this message
cicoandcico (cicoandcico) wrote : patch seems to work

tested the patch, drag&drop from file-roller now working. i'll test further and report any regression.

Revision history for this message
Ralf Nieuwenhuijsen (ralf-nieuwenhuijsen) wrote :

Inclusion in Gutsy would be nice, when there are no regressions.
Reading the above comments, it doesn't seem there any regressions. It went from not-working to not-working for remote directories. That's an improvement in my book.

Now, where do we send the flowers?

Revision history for this message
Amos Brocco (mriya3) wrote :

About the "Cannot extract archives in a remote folder "<foldername>" on drag and drop...

I've looked at the code and, to me, it seems that developers have forgotten to remove a test that prevented extraction to a remote folder in
the previous versions, when this was not possible. As now they added support for remote extraction via gnome-vfs ***, I don't think the error message is necessary.

so... I've attached a patch against file-roller 2.19.91 (it just deletes the "if" condition for non local uris in the dnd extraction)

I don't have much time now, please test it :)

*** see http://live.gnome.org/TwoPointNineteen/ReleaseNotes , "Uses gnome-vfs to load and save remote archives, as well as to add remote files to an archive and to extract to remote locations. USED."

Revision history for this message
Robbert (robbertkrebbers) wrote :

I just tested Amos his patch and it seems to work for nfs mounts. But at a remote ssh folder it doesn't seem to work, just nothing happens when dragging the file into it. Using the extract button in file-roller works fine for the way that matters.

Revision history for this message
mangar (mycrapaccount-deactivatedaccount) wrote :

+1 for applying the patch by default. since gutsy is a test release, no harm will be done if harm will be done..
In the worst case, remove the patch before final release.

pretty please, with QA on top?

Revision history for this message
Glenn (glenn-v) wrote :

I tested the patch as well, works great.

Revision history for this message
Michael-250 (michael-250) wrote :

I have tested nautilus + file-roller patch with file-roller version 2.19.92.
Dnd to smb or ssh share does _not_ work! I can drag a file from file-roller to this share (I don't get an error msg), but the file isn't "unzipped".

Before applying file-roller patch (only nautilus patch), I got an error/warning that extraction to this share (smb or ssh) is not possible.
I still think that this nautilus patch should be integrated in gutsy! But the file-roller patch should be reworked to solve the mentioned problems! Otherwise someoune could be irritated, because dnd doesn't work like it should (and no error/warning occurs)!

Revision history for this message
Robbert (robbertkrebbers) wrote :

The problem that dnd to a nfs mount doesn't work have to do with the following issue: http://bugzilla.gnome.org/show_bug.cgi?id=475296 and https://bugs.launchpad.net/ubuntu/+source/file-roller/+bug/138486

Because file-roller threats nfs mounts as remote and shouldn't do that because nfs mounts are transparent. I have attached the patch for that issue.

Revision history for this message
Murat Gunes (mgunes) wrote :

Setting "Fix Committed".

http://bugzilla.gnome.org/show_bug.cgi?id=171655#c44

> Comment #44 from Alexander Larsson (nautilus developer, points: 21)
> 2007-09-10 10:47 UTC [reply]

> I've commited XDS support losely based on Amos patch.
> However, it doesn't yet support dnd to the list view.

Changed in file-roller:
status: Confirmed → Fix Committed
Murat Gunes (mgunes)
Changed in nautilus:
assignee: nobody → desktop-bugs
status: New → Fix Committed
Changed in file-roller:
status: Fix Committed → Confirmed
Murat Gunes (mgunes)
Changed in nautilus:
status: New → Invalid
Revision history for this message
amano (jyaku) wrote :

Just to clarify: Up until now the fix has been only committed to the Nautilus trunk.

Murat Gunes (mgunes)
Changed in nautilus:
status: Fix Committed → Confirmed
Revision history for this message
Amos Brocco (mriya3) wrote :

I've added another patch to fix dnd also for the list/tree view

http://bugzilla.gnome.org/show_bug.cgi?id=171655#c46

testers are welcome

Revision history for this message
Ralf Nieuwenhuijsen (ralf-nieuwenhuijsen) wrote :

Are there binary packages that we can try out? Like a PPA archive?

Revision history for this message
Bruce Cowan (bruce89-deactivatedaccount) wrote :

I may soon provide packages at https://launchpad.net/~bruce89/+archive

Revision history for this message
Bruce Cowan (bruce89-deactivatedaccount) wrote : Re: [Bug 13199] Re: Drag n' Drop directories from File-Roller is somewhat tricky

On Fri, 2007-09-14 at 17:37 +0000, Bruce Cowan wrote:
> I may soon provide packages at https://launchpad.net/~bruce89/+archive
>
In fact, not until LP allows non-beta team members to have PPAs.
--
Bruce Cowan <https://launchpad.net/~bruce89/>

Revision history for this message
Will Farrington (wcfarrington) wrote :

Gutsy users can test packages here:

deb http://ppa.launchpad.net/wcfarrington/ubuntu/ gutsy main
deb-src http://ppa.launchpad.net/wcfarrington/ubuntu/ gutsy main

These are the exact same as what's in main now, but with the XDN patch and the related XDS treeview patch (to make listview work with Drag+Drop).

Revision history for this message
Sebastien Bacher (seb128) wrote :

nautilus (1:2.20.0-0ubuntu1) gutsy; urgency=low

  * New upstream version:
    - Load thumbnails asynchronously (LP: #26198)
    - Support direct save DnD (XDS) (LP: #13199)
    - Fix up octal permission display
    - Store window keep-above and stickines state across sessions

 -- Sebastien Bacher <email address hidden> Tue, 18 Sep 2007 12:29:55 +0200

Changed in nautilus:
status: Confirmed → Fix Released
Revision history for this message
Robert Hrovat (robi-hipnos) wrote :

Finaly! DnD works! Thanks guys :-)

Revision history for this message
Achim (ach1m) wrote :

Sorry that I have to say that, but Drag+Drop doesn't work with listview in nautilus.

Maybe someone can confirm this.

So it seems that the XDS treeview patch is not applied to latest nautilus.

Revision history for this message
Will Farrington (wcfarrington) wrote :

You are correct - the XDS treeview patch (also in Bugzilla) has not been applied to these packages. =(

Revision history for this message
Sebastien Bacher (seb128) wrote :

it has not been applied upstream neither

Revision history for this message
Renzo Carbonara (k0001) wrote :

after all these years, it's working perfectly for me =), since final gnome 2.20

Revision history for this message
Sebastien Bacher (seb128) wrote :

The file-roller issue have been fixed, there might still be a bug with the nautlus listview code though

Changed in file-roller:
status: Confirmed → Fix Released
Revision history for this message
Amos Brocco (mriya3) wrote :

There already exist a patch for listview (http://bugzilla.gnome.org/attachment.cgi?id=95584), but it has not yet been included.

Revision history for this message
Sebastien Bacher (seb128) wrote :

The patch should probably be sent on the nautilus mailing list, the maintainers don't cope with the bugzilla activity and use the list for patches reviews

Revision history for this message
Amos Brocco (mriya3) wrote :
Revision history for this message
Ivan Ivanoff (spammeroff) wrote :

I confirm this bug in Gutsy! I can not take files and drop them in folder. DnD does not work.

Revision history for this message
Rob van der Linde (robvdl) wrote :

I've had no major problems with dnd in fileroller and Gutsy, seems to work fine for me... except on root nautilus windows.

what I mean, if I was to type in a terminal "sudo nautilus", browse to a folder where a .tar.gz file is located, double click on it (which theoretically should open file-roller as root as well). Then I cannot drag and drop from that instance of file roller to the root nautilus window.

For now I am still able to type "sudo file-roller filename.tar.gz" and hit the "extract" button as a workaround.

Other than that, drag and drop works no problem when running as the standard user.

Revision history for this message
Amos Brocco (mriya3) wrote :

this is strange, because I'm able to do it:

1. sudo nautilus
2. double-click on an archive from the "root" nautilus window
3. drag some file from file-roller to the nautilus "root" window ... Works
4. drag some file to a "normal" nautilus window... Works

Revision history for this message
Rob van der Linde (robvdl) wrote :

I can confirm that it works now, sorry, my bad.

Last time I tried it must have been Gutsy RC instead of final, that's the only explanation I can think of why it didn't work for me before.

I did:

sudo nautilus
double click on a .tar.gz (a gtk theme to be exact)
drag into a folder only root can write to (/usr/share/themes)

Works no problem now.

Changed in fileroller:
status: Confirmed → Fix Released
Nicolò Chieffo (yelo3)
Changed in nautilus:
status: New → Invalid
Revision history for this message
Ivan Ivanoff (spammeroff) wrote :

So what the error we have in file-roller? Maybe is it better to set something in some config? My system even hangs when I try to carry a file or a folder from archive to my desktop using DnD (intel915G, Ubuntu 7.10).

Revision history for this message
nyékhelyi gábor (n0gabor) wrote :

DnD to Nautilus listview still needs to be implemented. (I hope it'll be ready for Hardy)

Revision history for this message
Daniel Pirch (dpirch) wrote :

Drag and drop to Nautilus list view still doesn't work in Intrepid.

Revision history for this message
falstaff (falstaff) wrote :

Drag and Drop with Nautilus ListView doesnt work for me too! Would be nice if this bug gets fixed in Jaunty...

Revision history for this message
Rebecca Menessec (aloishammer-deactivatedaccount) wrote :

[Jaunty] This is not working in listview mode for me, either. No DnD at all-- the "document" icon being dragged zips back to File Roller and nothing happens.

security vulnerability: no → yes
visibility: public → private
Murat Gunes (mgunes)
security vulnerability: yes → no
visibility: private → public
Revision history for this message
-z- (z-nexuizninjaz) wrote :

Sure, you can drag and drop to list view in Thunar but it's simply too lightweight for everyday use and I'd rather not open Thunar every time I'd like to drag and drop out of a zip. Switching to icon view is a time-waster and general annoyance.

Revision history for this message
-z- (z-nexuizninjaz) wrote :

Yay, drop and drop out of archives to list view is fixed in Ubuntu Juanty 9.04!

Changed in file-roller:
importance: Unknown → High
Displaying first 40 and last 40 comments. View all 101 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.